function Pages() {

    /***
     * PAGES
     * @type {any}
     */

    // Home page
    this.home_page = $(
        '<div id="reduce" class="action accelerateMe">' +
            '<div class="action-icon"></div>' +
            '<p>Reduce size</p>' +
        '</div>' +
        '<div id="resize" class="action accelerateMe">' +
            '<div class="action-icon"></div>' +
            '<p>Resize image</p>' +
        '</div>' +
        '<div id="crop" class="action accelerateMe">' +
            '<div class="action-icon"></div>' +
            '<p>Crop image</p>' +
        '</div>' +
        '<div id="convert" class="action accelerateMe">' +
            '<div class="action-icon"></div>' +
            '<p>Convert image</p>' +
        '</div>' +
        '<div id="upgrade" class="action accelerateMe">' +
            '<div class="action-icon"></div>' +
            '<p>Upgrade to premium</p>' +
        '</div>'
    );

    // Reduce image page
    this.reduce_page = $(
        '<div class="content">' +
            '<div class="controls">' +
                '<h4 class="compressRateTitle">Reduce size with</h4>' +
                '<div class="compressRate"><output name="rateOutputName" id="rateOutputId">25</output>%</div>' +
                '<div class="reduce_size"><input type="range" id="range" class="accelerateMe" oninput="rateOutputId.value = range.value" value="25" min="5" max="'+ maxPercentage +'"></div>' +
                '<button class="button button-energized compressBtn">Reduce image size</button><br />' +
            '</div>' +
        '</div>'
    );

    // Resize image page
    this.resize_page = $(
        '<div class="content">' +
            '<div class="controls">' +
                '<h4 class="compressRateTitle">1. Choose resize option</h4><br />' +
                '<label class="item item-input item-select">' +
                    '<div class="input-label">' +
                        'Resize as in' +
                    '</div>' +
                    '<select name="resize_option" id="selectOption">' +
                        '<option value="increase">Increase size</option>' +
                        '<option value="decrease">Decrease size</option>' +
                    '</select>' +
                '</label><br />' +
                '<h4 class="compressRateTitle">2. Choose a percentage</h4><br />' +
                '<label class="item item-input item-select">' +
                    '<div class="input-label">' +
                        'Resize resolution with' +
                    '</div>' +
                    '<select name="dimensions" id="selectDimension">' +
                        '<option value="10">10%</option>' +
                        '<option value="20">20%</option>' +
                        '<option value="30">30%</option>' +
                        '<option value="40">40%</option>' +
                        '<option value="50">50%</option>' +
                        '<option value="60">60%</option>' +
                        '<option value="70">70%</option>' +
                        '<option value="80">80%</option>' +
                    '</select>' +
                '</label><br />' +
                '<input type="submit" id="changeResolution" name="resize" value="Resize" />' +
            '</div>' +
        '</div>'
    );

    // Crop image page
    this.crop_page = $(
        '<div class="content">' +
        '</div>'
    );

    // Convert image page
    this.convert_page = $(
        '<div class="content">' +
            '<div class="controls">' +
                '<h4 class="compressRateTitle">Convert image(s) to</h4><br />' +
                '<label class="item item-input item-select">' +
                '<div class="input-label">' +
                    'Image type' +
                '</div>' +
                '<select id="select_extension">' +
                    '<option value="jpg" name="jpg">jpg</option>' +
                    '<option value="png" name="png">png</option>' +
                    '<option value="gif" name="gif">gif</option>' +
                    '<option value="bmp" name="bmp">bmp</option>' +
                    '<option value="svg" name="svg">svg</option>' +
                    '<option value="webp" name="webp">webp</option>' +
                    '<option value="tiff" name="tiff">tiff</option>' +
                '</select>' +
                '</label><br />' +
                '<input type="submit" id="convertImages" name="convert" value="Convert" />' +
            '</div>' +
        '</div>'
    );

    // Convert image page
    this.settings_page = $(
        '<div class="settings">' +
            '<div class="list settingslist">' +
                '<label class="item item-input item-select">' +
                    '<div class="input-label">' +
                    'Output directory' +
                    '</div>' +
                    '<select id="select_output">' +
                        '<option value="file:///storage/emulated/0/DCIM/Camera/" name="gallery">Camera Gallery</option>' +
                        '<option value="file:///storage/emulated/0/Pictures/" name="pictures">Pictures map</option>' +
                        '<option value="file:///storage/emulated/0/Pictures/Screenshots/" name="screenshots">Screenshots map</option>' +
                        '<option value="file:///storage/emulated/0/" name="root">Root</option>' +
                    '</select>' +
                '</label>' +
            '</div>' +
            '<p><b>Note:</b> The output directory is the directory where your images will be saved in.</p>' +
            '<br />' +
            '<div class="gif-creator" style="width: 100%; text-align: center;">'+
                '<h4>Create GIF Animations</h4>' +
                '<br />' +
                '<a href="https://play.google.com/store/apps/details?id=com.gifcreator&utm_source=reduce-image-size&utm_campaign=cross-promotion&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1"><img src="img/gifcreator-icon.webp" alt="gif creator icon" width="20%"></a>'+
                "<a href='https://play.google.com/store/apps/details?id=com.gifcreator&utm_source=reduce-image-size&utm_campaign=cross-promotion&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png' width='50%' /></a>" +
            '</div>' +
        '</div>'
    );

    // Sales/products page
    this.sales_page = $(
        '<div id="content store">' +
            '<h2 class="store-headline">Upgrade to Premium</h2>' +
            '<h3 class="store-sub-headline">Why Premium version?</h3>' +
            '<div id="products">' +
                '<div id="3212989-purchase"></div>' +
            '</div>' +
        '</div>'
    );

}
